Docs

Get Drive Partition Shared

GET /Drives/{driveId}/partitions/{partitionId}/shared

GET/Drives/{driveId}/partitions/{partitionId}/shared

Returns the files and folders shared with a collaborator or area partition and the permissions granted, optionally navigating into a path of the shared subtree. The partitionId is a collaborator or area ID from Drives_GetDrivePartition, and the association is the grantedAssociation that gave access to the path and is required when path is provided.

Path Parameters

FieldTypeRequiredDescription
driveIduuidRequired
partitionIduuidRequired

Query Parameters

FieldTypeRequiredDescription
pathstringOptional
associationuuidOptional

Response

FieldTypeDescription
pathPartsGetDrivePartitionSharedResponsePathPart[]| null
filesGetDrivePartitionSharedResponseItem[]| null
foldersGetDrivePartitionSharedResponseItem[]| null
permissionsstring[]| null

GetDrivePartitionSharedResponsePathPart

FieldTypeDescription
namestring| null
pathstring| null
grantedAssociationuuid

GetDrivePartitionSharedResponseItem

FieldTypeDescription
iduuid
grantedAssociationuuid
permissionsstring[]| null
typestring| null
namestring| null
descriptionstring| null
pathstring| null
fullPathstring| null
associationsGetDrivePartitionSharedResponseItemAssociation
versionsstring[]| null

GetDrivePartitionSharedResponseItemAssociation

FieldTypeDescription
collaboratorsGetDrivePartitionSharedResponseItemAssociationAssociatedEntity[]| null
areasGetDrivePartitionSharedResponseItemAssociationAssociatedEntity[]| null
crewMembersGetDrivePartitionSharedResponseItemAssociationAssociatedEntity[]| null

GetDrivePartitionSharedResponseItemAssociationAssociatedEntity

FieldTypeDescription
iduuid
namestring| null